Subject: Re: [RFC] add rtnl semaphore to linux-atm

From: "David S. Miller" <[email-masked]>
Date: Fri, 3 Oct 2003 06:58:24 -0700

On Thu, 2 Oct 2003 19:26:15 -0700
Mitchell Blank Jr <[email-masked]> wrote:

> My personal recommendations:
>   * There should be a per-atm-device semaphore held across calls into the
>     driver's ->open, ->close, ->change_qos and maybe a couple other things
>     to serialize those operations (for the sake of keeping the drivers
>     sane - there's no reason there should be multiple operations pending)

Ok, but what Chas is trying to do is move the ATM device stuff over
to a model that makes use of the existing network device infrastructure
for solving these kinds of problems.

Part of that is using the rtnl semaphore etc.

I would rather Chas use the rtnl semaphore for synchronization
than to ultra-optimize this code by using the rwlock as I had suggested
to him.